package com.madeu.service.web.webyoutube;

import org.springframework.web.multipart.MultipartFile;

import java.util.HashMap;

public interface WebYouTubeService {
    public HashMap<String, Object> selectListWebYouTubeIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListWebYouTube(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectWebYouTube(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> insertWebYouTubeIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> insertWebYouTube(HashMap<String, Object> paramMap, MultipartFile file, MultipartFile file2) throws Exception;
    public HashMap<String, Object> updateWebYouTubeIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> updateWebYouTube(HashMap<String, Object> paramMap, MultipartFile file, MultipartFile file2) throws Exception;
    public HashMap<String, Object> deleteWebYouTube(HashMap<String, Object> paramMap) throws Exception;
}
